#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{purchasing.PaketCtr.index()}">&{'daftar_paket.label'}</a></li>
                <li><a href="${paket?.getDetailUrl()}">&{'detail_paket.label'}</a></li>
                <li class="active">&{'distributor.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-2">
            #{include 'pl/filter-distributor.html'/}
        </div>

        <div class="col-md-10">
            <!-- Toolbar -->
            <div class="toolbar">
                <a href="${paket?.getDetailUrl()}" class="btn btn-sm btn-default"><i class="fa fa-arrow-circle-left"></i> &{'kembali.label'}</a>&nbsp;
                <button class="btn btn-sm btn-primary btn-save" type="submit"><i class="fa fa-save"></i> &{'simpan.label'}</button>
            </div>
            <!-- End Toolbar -->
            #{if !distributor.items.isEmpty()}
                <div class="panel panel-default">
                    <div class="panel-body" style="overflow-x: auto">
                        <form class="form-distributor" method="POST" action="@{storeDistributor(paket?.id)}">
                            #{authenticityToken /}
                            <input type="hidden" class="temp" name="distributor_id" value="${paket?.penyedia_distributor_id}">
                        </form>
                        <table class="table table-condensed table-striped">
                            <thead>
                            <tr>
                                <th></th>
                                <th>&{'nama.label'}</th>
                                <th>&{'username.label'}</th>
                                <th>&{'email.label'}</th>
                                <th>&{'nomor_telp.label'}</th>
                                <th>&{'alamat.label'}</th>
                            </tr>
                            </thead>
                            <tbody>
                            *{#{list items:paket?.provider?.distributors, as:'item'}}*
                            #{list distributor.items, as:"item"}
                            <tr class="${paket?.penyedia_distributor_id == item.id ? "active" : ""}">
                                <td><input data-value="${item.id}" title="check" type="checkbox" class="checkbox-distributor" ${paket?.penyedia_distributor_id == item.id ? "checked" : ""} /></td>
                                <td class="test">${item.nama_distributor}</td>
                                <td>${item.username}</td>
                                <td>${item.email}</td>
                                <td>${item.no_telp}</td>
                                <td>${item.alamat}</td>
                            #{/list}
                            </tbody>
                        </table>
                    </div>
                </div>
                #{pagination distributor.getPageAble()/}
            #{/if}
            #{else }
                #{ListDefaultMessage type:"Paket"/}
            #{/else}
        </div>
    </div>
</div>

#{set 'moreScripts'}

<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>

<script type="text/javascript">

    jQuery(document).ready(function() {

        $("#submitBtn").on("click", function () {
            $.showLoading();
            $("#centerTableEmpty").html("&{'tungguproses.label'}")
        });

        $('#keyword').keypress(function(event){
            var keycode = event.keyCode || event.which;
            if(keycode == '13') {
                $('#submitBtn').click();
                return false;
            }
            return;
        });

        var temp = jQuery('.temp');

        jQuery('.checkbox-distributor').on('click', function () {
            var view = jQuery(this);
            // console.log("checked: " + view.data('value'));
            var parentTr = view.parent().parent();
            if (this.checked) {
                parentTr.addClass('active');
                temp.val(view.data('value'));
            } else {
                parentTr.removeClass('active');
                temp.val('')
            }
            jQuery('.checkbox-distributor').not(this).prop('checked', false).parent().parent().removeClass('active');
        });

        jQuery('.btn-save').click(function () {
            jQuery('.form-distributor').submit();
        });

        jQuery('.form-distributor').on('submit', function (e) {
            if (temp.val() === '') {
                showToast("Belum memilih distributor!");
                e.preventDefault();
            }
        });

        function showToast(message) {
            jQuery.toast({
                heading: 'Oops',
                text: message,
                position: 'bottom-center',
                stack: false,
                icon: 'error',
                hideAfter: 6000
            })
        }

    });
</script>
#{/set}